# android_multiple_identifier

A plugin that provides multiple Android unique identifiers for you to choose the one that best applies to your needs. 
Since some Android devices do not have serial code, telephony Services (IMEI), or if you are not sure to trust ANDROID_ID, then you can use any of the 3 options that best applies to your needs. 

## Getting Started

Make sure you add the needed permission to your Android Manifest  [Permission](https://developer.android.com/reference/android/Manifest.permission.html)
and Info.plist.

```xml
<uses-permission android:name="android.permission.READ_PHONE_STATE" />

```
## API
###Android

Be sure to ask permissions first:
```dart
await AndroidMultipleIdentifier.requestPermissions();
```
Then you can call any of the three available methods:
```dart
String imei = await AndroidMultipleIdentifier.imeiCode;
String serial = await AndroidMultipleIdentifier.serialCode;
String androidID = await AndroidMultipleIdentifier.androidID;
```

### iOS

If you call the `AndroidMultipleIdentifier.serialCode` method, it will return the iOS `identifierForVendor`. The rest will return a String with the value `Unauthorized for Android`